#include <bits/stdc++.h>

using namespace std;

ifstream fi ("dqps.inp");
ofstream fo ("dqps.out");

long long P(long long n,long long i){
  if (i<2*n-1){
    return i*P(n,i+2);
  }
}

long long S(long long n,long long i){
  if (i<2*n-1){
    return i+S(n,i+2);
  }
}

int main(){
  long long n;
  cin>>n;
  cout<<P(n,1)<<endl<<S(n,1);
}
